## EXPORT_SPEC int UpnpOpenHttpPost

## ( IN const char* url,
IN OUT void** handle,
IN const char* contentType,
IN int contentLength,
IN int timeout )

> UpnpOpenHttpPost makes an HTTP POST request message, opens a connection to the server and sends the POST request to the server if the connection to the server succeeds.

## Documentation

> UpnpOpenHttpPost makes an HTTP POST request message, opens a connection to the server and sends the POST request to the server if the connection to the server succeeds. The SDK allocates the memory for handle and contentType, the application is responsible for freeing this memory.

Parameters:
  url - The URL in which to send the POST request.
  handle - A pointer in which to store the handle for this connection. This handle is required for futher operations over this connection.
  contentType - A buffer to store the media type of content being sent.
  contentLength - The length of the content, in bytes, being posted.
  timeout - The time out value sent with the request during which a response is expected from the receiver, failing which, an error is reported.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: Either url, handle or contentType is not a valid pointer.
  - `UPNP_E_INVALID_URL`: The url is not a valid URL.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to download this file.
  - `UPNP_E_SOCKET_ERROR`: Error occured allocating a socket and resources or an error occurred binding a socket.
  - `UPNP_E_SOCKET_WRITE`: An error or timeout occurred writing to a socket.
  - `UPNP_E_SOCKET_CONNECT`: An error occurred connecting a socket.
  - `UPNP_E_OUTOF_SOCKET`: Too many sockets are currently allocated.

Alphabetic index

This page was generated with the help of DOC++.